package com.mvc.dao;

import com.mvc.entity.CustomUser;
import com.mvc.entity.CustomUserExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface CustomUserMapper {
    long countByExample(CustomUserExample example);

    int deleteByExample(CustomUserExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(CustomUser record);

    int insertSelective(CustomUser record);

    List<CustomUser> selectByExample(CustomUserExample example);

    CustomUser selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") CustomUser record, @Param("example") CustomUserExample example);

    int updateByExample(@Param("record") CustomUser record, @Param("example") CustomUserExample example);

    int updateByPrimaryKeySelective(CustomUser record);

    int updateByPrimaryKey(CustomUser record);
}